<?php
/**
 * @version		1.6.2
 * @package		Joomla
 * @subpackage	Event Booking
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
function buildMenu($parent = 0, $level = 0, $params, $currentCat = null) 
{
	$menuClass = $params->get('menuclass_sfx');
	$levelStart = (int) $params->get('level_start',0);
	$levelEnd = (int) $params->get('level_end',0);
	$showSubMenu = (int) $params->get('show-sub-menu',1);
	$showNumberDocument = (int) $params->get('number_event', 1);
	$itemId = (int) $params->get('item_id');
	if (!$itemId) 
		$itemId = EDocmanHelper::getItemid();	
	if ( (!$levelEnd || $level < $levelEnd) && $rows = modEdocmanCategoriesHelper::getCategories($parent, $params) ) 
	{
		if ($level >= $levelStart) : ?>
			<ul class="level<?php echo $level . $menuClass ?>">
				<?php endif;
				foreach( $rows as $row ) :
					$totalDocument =  modEdocmanCategoriesHelper::countDocuments($row->category_id);
					($showNumberDocument) ? $total = '('.$totalDocument.')' : $total = '';
					if ($level >= $levelStart) 
					{
						$Sub = modEdocmanCategoriesHelper::getChildCategory($row->category_id);
						($Sub && $showSubMenu) ? $class = 'class="has-sub"' : $class = '';
						($Sub && $showSubMenu) ? $icon = '<span class="'.$row->category_id.'"><i class="icon-arrow-down"></i></span>' : $icon = '';
						$link = JRoute::_(EDocmanHelperRoute::getCategoryRoute($row->category_id, $itemId));
						?>
						<li <?php echo $class.' '.($currentCat == $row->category_id ? 'id="current"' : '') ?>>
						<a href="<?php echo $link; ?>" class="level<?php echo $level . $menuClass . ($currentCat == $row->category_id ? ' active' : '') ?>" target="_self"><?php echo htmlspecialchars(stripslashes($row->category_name), ENT_COMPAT, 'UTF-8') ?> <?php echo $total?></a>
						<?php echo $icon; ?>
	                <?php
					}
						if($showSubMenu) :
							buildMenu($row->category_id, $level + 1, $params, $currentCat);
						endif;
							if ($level >= $levelStart) : ?>
	                    </li>
	                <?php
	                endif;
				endforeach;
				if ($level >= $levelStart) : ?>
            </ul>
	<?php
       endif;
	}
}
?>
<div id='edocmanmenu'>
<?php 
	buildMenu(0, 0, $params);
?>
<input type="hidden" name="option" value="<?php echo JRequest::getVar('option'); ?>">
<input type="hidden" name="category_id" value="<?php echo JRequest::getInt('id'); ?>">
</div>
<script type="text/javascript">
( function( $ ) {
	$( document ).ready(function() {
		$('#edocmanmenu li.has-sub>span').click(function(){
			//$(this).removeAttr('href');
			var element = $(this).parent('li');
			if (element.hasClass('open')) {
				element.removeClass('open');
				element.find('li').removeClass('open');
				element.find('ul').slideUp();
			}
			else {
				element.addClass('open');
				element.children('ul').slideDown();
				element.siblings('li').children('ul').slideUp();
				element.siblings('li').removeClass('open');
				element.siblings('li').find('li').removeClass('open');
				element.siblings('li').find('ul').slideUp();
			}
		});
		$categoryId = $( "input[name$='category_id']" ).val();
		if($( "input[name$='option']" ).val() == 'com_edocman' && $categoryId){
			$('#edocmanmenu li.has-sub>span.'+$categoryId).click();
		}
		else{
			$('#edocmanmenu li.has-sub>span:first').click();
		}
	});
} )( jQuery );
</script>
